---    
- name: apt update && upgrade
  become: true
  apt:
    update_cache: yes
    upgrade: "yes"

- name: clean up the apt cache
  become: true
  apt:
    autoclean: true
  
- name: automatically remove any unused dependencies
  become: true
  apt:
    autoremove: true

- name: install core dependencies
  become: yes
  apt:
    name: 
        - curl
        - git
        - python3
        - sudo
    state: present
